ipa_controls_header Struct Reference

Serialized control packet header. More...

## Public Attributes

uint32_t | version
uint32_t | handle
uint32_t | entries
uint32_t | size
uint32_t | data_offset
uint32_t | reserved [3]

## Detailed Description

Serialized control packet header.

## Member Data Documentation

## data_offset

ipa_controls_header::data_offset

Offset in bytes from the beginning of the packet of the data section start

## entries

ipa_controls_header::entries

Number of entries in the packet

## handle

ipa_controls_header::handle

For ControlInfoMap packets, this field contains a unique non-zero handle generated when the ControlInfoMap is serialized. For ControlList packets, this field contains the handle of the corresponding ControlInfoMap.

## reserved

ipa_controls_header::reserved

Reserved for future extensions

## size

ipa_controls_header::size

The total packet size in bytes

## version

ipa_controls_header::version

Control packet format version number (shall be IPA_CONTROLS_FORMAT_VERSION)

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_controls.h
- src/libcamera/ipa_controls.cpp